phing-parser

# Class: ProjectConfigurator Source Location: /parser/ProjectConfigurator.php
### Class Overview
The datatype handler class. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $buildFile $buildFileParent $locator $project | ### Methods addText configure configureId configureProject delayTaskUntilParseEnd getBuildFile getBuildFileParent getCurrentProjectName getCurrentTargets isIgnoringProjectTag isParsing parse replaceProperties setCurrentProjectName setIgnoreProjectTag storeChild
### Class Details [line 42] The datatype handler class. This class handles the occurance of registered datatype tags like FileSet #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $
copyright: | � 2001,2002 THYRELL. All rights reserved
access: | public
[ Top ] ### Class Variables #### $buildFile = [line 47] #### Tags:
access: | public
Type: | mixed
[ Top ] #### $buildFileParent = [line 48] #### Tags:
access: | public
Type: | mixed
[ Top ] #### $locator = [line 45] #### Tags:
access: | public
Type: | mixed
[ Top ] #### $project = [line 44] #### Tags:
access: | public
Type: | mixed
[ Top ] ### Class Methods ### static method addText [line 266]
`static void addText( object the $project, object the $target, [string $text = null])`
Configures the #CDATA of an element. #### Tags:
access: | public
#### Parameters:
object the | $project | project this element belongs to
object the | $target | element to configure
string | $text | the element's #CDATA
[ Top ] ### static method configure [line 221]
`static void configure( object the $target, array $attrs, $project)`
Configures an element and resolves eventually given properties. #### Tags:
throws: | Exception if arguments are not valid
throws: | BuildException if attributes can not be configured
access: | public
#### Parameters:
object the | $target | element to configure
array | $attrs | the element's attributes
object the | $project | project this element belongs to
[ Top ] ### static method configureProject [line 75]
`static void configureProject( $project, $buildFile)`
Static call to ProjectConfigurator. Use this to configure a project. Do not use the new operator. #### Tags:
access: | public
#### Parameters:
object the | $project | Project instance this configurator should use
object the | $buildFile | buildfile object the parser should use
[ Top ] ### static method replaceProperties [line 309]
`static string replaceProperties( $project, string $value, array $keys)`
Replace ${} style constructions in the given value with the string value of the corresponding data types. This method is static. #### Tags:
return: | the replaced string or null if the string itself was null
access: | public
#### Parameters:
object the | $project | project that should be used for property look-ups
string | $value | the string to be scanned for property references
array | $keys | proeprty keys
[ Top ] ### static method storeChild [line 284]
`static void storeChild( object the $project, object the $parent, object the $child, string $tag)`
Stores a configured child element into its parent object #### Tags:
access: | public
#### Parameters:
object the | $project | project this element belongs to
object the | $parent | parent element
object the | $child | child element
string | $tag | the XML tagname
[ Top ] ### method configureId [line 368]
`void configureId( object the $target, array $attr)`
Scan Attributes for the id attribute and maybe add a reference to project. #### Tags:
access: | public
#### Parameters:
object the | $target | element's object
array | $attr | the element's attributes
[ Top ] ### method delayTaskUntilParseEnd [line 207]
`void delayTaskUntilParseEnd( Task $task)`
Delay execution of a task until after the current parse phase has completed. #### Tags:
access: | public
#### Parameters:
Task | $task | Task to execute after parse
[ Top ] ### method getBuildFile [line 101]
`the getBuildFile( )`
find out the build file #### Tags:
return: | build file to which the xml context belongs
access: | public
[ Top ] ### method getBuildFileParent [line 109]
`the getBuildFileParent( )`
find out the parent build file of this build file #### Tags:
return: | parent build file of this build file
access: | public
[ Top ] ### method getCurrentProjectName [line 117]
`current getCurrentProjectName( )`
find out the current project name #### Tags:
return: | project name
access: | public
[ Top ] ### method getCurrentTargets [line 145]
`void &getCurrentTargets( )`
#### Tags:
access: | public
[ Top ] ### method isIgnoringProjectTag [line 133]
`whether isIgnoringProjectTag( )`
tells whether the project tag is being ignored #### Tags:
return: | the project tag is being ignored
access: | public
[ Top ] ### method isParsing [line 149]
`void isParsing( )`
#### Tags:
access: | public
[ Top ] ### method parse [line 161]
`void parse( )`
Creates the ExpatParser, sets root handler and kick off parsing process. #### Tags:
throws: | BuildException if there is any kind of execption during the parsing process
access: | protected
[ Top ] ### method setCurrentProjectName [line 125]
`void setCurrentProjectName( name $name)`
set the name of the current project #### Tags:
access: | public
#### Parameters:
name | $name | name of the current project
[ Top ] ### method setIgnoreProjectTag [line 141]
`void setIgnoreProjectTag( flag $flag)`
sets the flag to ignore the project tag #### Tags:
access: | public
#### Parameters:
flag | $flag | to ignore the project tag
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:48 +0200 by phpDocumentor 1.4.3